#ifndef __LOAD3DS_H
#define __LOAD3DS_H

#include <iostream>
#include <fstream>
#include <string>
#include <vector>

class Chunk {
	private:
		short ident;
		char m;
		char n;
		
	public:
		Chunk() { };
		void parse();
};

class Load3ds {
	private:
		std::string filename;
		
		bool parsed;
		bool error;
	public:
		Load3ds(std::string _fname, bool parse=true);
		
		bool parse();
		void unload();
};

#endif
